# Web::Interface
# Copyright(c) 2002 MoonWolf <moonwolf@moonwolf.com>
require 'web/interface/basic'
require 'web/interface/cgi'      #CGI
require 'web/interface/mod_ruby' #mod_ruby
require 'web/interface/fastcgi'  #FastCGI
require 'web/interface/rinda'    #Rinda
require 'web/interface/rubymail' #RubyMail

module Web
  module Interface
    AUTO = 
      if defined?(MOD_RUBY)
        Web::Interface::ModRuby
      elsif $0=~/\.(fcgi|frb)$/
        Web::Interface::FastCGI
      elsif $0=~/\.cgi$/ || ENV['GATEWAY_INTERFACE']=~/CGI/
        Web::Interface::CGI
      else
        nil
      end
  end # Interface
end # Web
